Bug 1293465 - [abrt] gnome-shell: pango_context_get_font_map(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: pango_context_get_font_map(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b90e407505c7b58417e22c40916...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 14:39 EST by Алексей Смирнов
Modified: 2017-08-08 08:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (84.55 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: cgroup (242 bytes, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: core_backtrace (19.22 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: dso_list (25.93 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: environ (882 bytes, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: maps (118.17 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: open_fds (4.83 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: proc_pid_status (1.18 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: var_log_messages (4.72 KB, text/plain)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-12-21 14:39 EST, Алексей Смирнов
no flags Details

  None (edit)
Description Алексей Смирнов 2015-12-21 14:39:07 EST
Version-Release number of selected component:
gnome-shell-3.19.3-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: pango_context_get_font_map
executable:     /usr/bin/gnome-shell
global_pid:     1918
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pango_context_get_font_map at pango-context.c:263
 #1 cogl_pango_get_renderer_from_context at cogl-pango-render.c:313
 #2 cogl_pango_show_layout at cogl-pango-render.c:377
 #3 cogl_pango_render_layout_subpixel at cogl-pango-render.c:459
 #4 cogl_pango_render_layout at cogl-pango-render.c:473
 #5 clutter_text_paint at clutter-text.c:2394
 #6 _g_closure_invoke_va at gclosure.c:867
 #9 clutter_actor_continue_paint at clutter-actor.c:4018
 #10 clutter_actor_paint at clutter-actor.c:3938
 #11 clutter_actor_real_paint at clutter-actor.c:3637
Comment 1 Алексей Смирнов 2015-12-21 14:39:13 EST
Created attachment 1108450 [details]
File: backtrace
Comment 2 Алексей Смирнов 2015-12-21 14:39:15 EST
Created attachment 1108451 [details]
File: cgroup
Comment 3 Алексей Смирнов 2015-12-21 14:39:16 EST
Created attachment 1108452 [details]
File: core_backtrace
Comment 4 Алексей Смирнов 2015-12-21 14:39:18 EST
Created attachment 1108453 [details]
File: dso_list
Comment 5 Алексей Смирнов 2015-12-21 14:39:20 EST
Created attachment 1108454 [details]
File: environ
Comment 6 Алексей Смирнов 2015-12-21 14:39:21 EST
Created attachment 1108455 [details]
File: limits
Comment 7 Алексей Смирнов 2015-12-21 14:39:24 EST
Created attachment 1108456 [details]
File: maps
Comment 8 Алексей Смирнов 2015-12-21 14:39:25 EST
Created attachment 1108457 [details]
File: mountinfo
Comment 9 Алексей Смирнов 2015-12-21 14:39:27 EST
Created attachment 1108458 [details]
File: namespaces
Comment 10 Алексей Смирнов 2015-12-21 14:39:28 EST
Created attachment 1108459 [details]
File: open_fds
Comment 11 Алексей Смирнов 2015-12-21 14:39:30 EST
Created attachment 1108460 [details]
File: proc_pid_status
Comment 12 Алексей Смирнов 2015-12-21 14:39:31 EST
Created attachment 1108461 [details]
File: var_log_messages
Comment 13 Алексей Смирнов 2015-12-21 14:39:32 EST
Created attachment 1108462 [details]
File: exploitable
Comment 14 Bill Gianopoulos 2015-12-29 09:59:07 EST
Another user experienced a similar problem:

Logged on to a gnome wayland session

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: pango_context_get_font_map
executable:     /usr/bin/gnome-shell
global_pid:     1987
kernel:         4.4.0-0.rc6.git1.1.fc24.x86_64
package:        gnome-shell-3.19.3-1.fc24
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Bill Gianopoulos 2016-02-05 08:45:34 EST
Similar problem has been detected:

happened upon Wayland session login just after a system reboot

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: pango_context_get_font_map
executable:     /usr/bin/gnome-shell
global_pid:     2224
kernel:         4.5.0-0.rc2.git2.1.fc24.x86_64
package:        gnome-shell-3.19.4-1.fc24
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Jan Kurik 2016-02-24 09:10:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 17 Bill Gianopoulos 2016-02-28 17:22:05 EST
Similar problem has been detected:

Trying to login form GDM screen

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: pango_context_get_font_map
executable:     /usr/bin/gnome-shell
global_pid:     1441
kernel:         4.5.0-0.rc5.git0.2.fc24.x86_64
package:        gnome-shell-3.19.90-1.fc24
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora End Of Life 2017-07-25 15:40:27 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2017-08-08 08:35:02 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.